/var/lib/apt/mirrors/mirrors.ubuntu.com_mirrors.txt created non-world-readable, breaks apt-get source

Bug #741098 reported by Matt Zimmerman on 2011-03-23
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: apt

braukoff:[/tmp] apt-get source bup
Reading package lists... Done
Building dependency tree
Reading state information... Done
Need to get 216kB of source archives.
0% [Working]

and it just hangs there indefinitely. strace shows:

22143 stat64("/var/lib/apt/mirrors/mirrors.ubuntu.com_mirrors.txt", {st_mode=S_IFREG|0640, st_size=555, ...}) = 0
22143 open("/var/lib/apt/mirrors/mirrors.ubuntu.com_mirrors.txt", O_RDONLY|O_LARGEFILE) = -1 EACCES (Permission denied)
22141 <... select resumed> ) = 0 (Timeout)
22141 gettimeofday({1300897503, 824582}, NULL) = 0
22141 rt_sigprocmask(SIG_BLOCK, [WINCH], [], 8) = 0
22141 rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
22141 write(1, "\r0% [Working]", 13) = 13
22141 select(38, [37], [], NULL, {0, 500000}) = 0 (Timeout)
22141 gettimeofday({1300897504, 325907}, NULL) = 0
22141 rt_sigprocmask(SIG_BLOCK, [WINCH], [], 8) = 0
22141 rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
22141 write(1, "\r0% [Working]", 13) = 13
22141 select(38, [37], [], NULL, {0, 500000}) = 0 (Timeout)

ad infinitum.

-rw-r----- 1 root root 555 2011-03-23 06:15 /var/lib/apt/mirrors/mirrors.ubuntu.com_mirrors.txt

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: apt 0.8.3ubuntu7
ProcVersionSignature: Ubuntu 2.6.35-28.49-generic 2.6.35.11
Uname: Linux 2.6.35-28-generic i686
Architecture: i386
Date: Wed Mar 23 16:25:37 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Alpha i386 (20100315)
ProcEnviron:
 LC_COLLATE=C
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
SourcePackage: apt

Related branches

Matt Zimmerman (mdz) wrote :
Matt Zimmerman (mdz) wrote :

Here's a one-liner which may fix the problem. I can't build apt on this machine right now, but can maybe test it later if you don't get to it first

tags: added: patch
Michael Vogt (mvo) on 2011-03-24
Changed in apt (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Michael Vogt (mvo) on 2011-03-24
Changed in apt (Ubuntu):
status: Confirmed → In Progress
Michael Vogt (mvo) wrote :

I fixed a bit more around this code, it should no longer hang too.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apt - 0.8.13ubuntu2

---------------
apt (0.8.13ubuntu2) natty; urgency=low

  * po/makefile:
    - add hack to run MSGMERGE again if it segfaults. this is to help
      powerpc to bootstrap
  * mirror method:
    - merge fix from Matt Zimmerman, many thanks (LP: #741098)
    - do not crash if the mirror file fails to download
 -- Michael Vogt <email address hidden> Thu, 24 Mar 2011 18:01:38 +0100

Changed in apt (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers